package com.sifang.modules.supply.order.request;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.io.Serializable;
import java.util.List;

/**
 * @author hongzq
 */
public class InStockReq implements Serializable {

    @NotBlank(message = "订单id不能为空")
    private String orderId;
    private String receiveInvoice;
    private String receiveRemark;

    private List<InStockDetailReq> details;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getReceiveInvoice() {
        return receiveInvoice;
    }

    public void setReceiveInvoice(String receiveInvoice) {
        this.receiveInvoice = receiveInvoice;
    }

    public String getReceiveRemark() {
        return receiveRemark;
    }

    public void setReceiveRemark(String receiveRemark) {
        this.receiveRemark = receiveRemark;
    }

    public List<InStockDetailReq> getDetails() {
        return details;
    }

    public void setDetails(List<InStockDetailReq> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return "InStockReq{" +
                "orderId='" + orderId + '\'' +
                ", receiveInvoice='" + receiveInvoice + '\'' +
                ", receiveRemark='" + receiveRemark + '\'' +
                ", details=" + details +
                '}';
    }
}
